--File created by Miro Lua v2.4
--Pong v0.5 Main Menu source

if nf then
	nf = "true"
else
	screen.startDraw()
	Image.blit(0,0,Image.load("image/NEO-FLASH.png"))
	screen.flipscreen()
	System.sleep(2000)
	screen.clear(0)
	screen.endDraw()
	nf = "true"
end

if Mp3me.eos() == 0 then
	Mp3me.stop()
end

--Colors
red = Color.new(255,0,0,255)
black = Color.new(0,0,0,255)
green = Color.new(0,255,0,255)
white = Color.new(255,255,255,255)

--Game/Menu Vars
OspeedS = speedS
OspeedM = speedM
state = "menu"
ms = 1
mms = 5
backround = Image.load("Image/menu1.png")
quit = 0
mode = ""
multi = ""
speedS = 20
speedM = 20

if OspeedS then
speedS = OspeedS
end

if OspeedM then
speedM = OspeedM
end

--<Main Game Loop>
while true do
	--If state is menu
	if state == "menu" then
		mms = 5
		pad = Controls.read()


		--If up is pressed move selection up 1
		if pad:up() and oldpad:up() ~= pad:up() then
			ms = ms - 1
		end

		--If down is pressed move selection down 1
		if pad:down() and oldpad:down() ~= pad:down() then
			ms = ms + 1
		end

		--Check to see if selection is to high or to low and refelect apon that
		if ms > mms then
			ms = 1
		elseif ms <=0 then
			ms = mms
		end

		--Draw menu and print text
		screen.startDraw()
		screen.clear(0)
		Image.blit(0,0,backround)
		mc = {black,black,black,black,black}
		mc[ms] = red
		screen.print(300,200,"Single Player",0.6,mc[1],green)
		screen.print(300,212,"Multi-Player",0.6,mc[2],green)
		screen.print(300,224,"Options",0.6,mc[3],green)
		screen.print(300,236,"Credits",0.6,mc[4],green)
		screen.print(300,248,"Quit",0.6,mc[5],green)
		screen.endDraw()

		--Selections
		if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 1 then
			state = "game"
			dofile(System.currentDirectory().."/selection.lua")
		end

		--If you select Multi then it gets rid of the current menu and then takes you to multi player
		if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 2 then
			state = "game"
			oldpad = pad
			while true do
				mms = 2
				pad = Controls.read()

				--If up is pressed move selection up 1
				if pad:up() and oldpad:up() ~= pad:up() then
					ms = ms - 1
				end

				--If down is pressed move selection down 1
				if pad:down() and oldpad:down() ~= pad:down() then
					ms = ms + 1
				end

				--Check to see if selection is to high or to low and refelect aqpon that
				if ms > mms then
					ms = 1
				elseif ms <=0 then
					ms = mms
				end

				screen.startDraw()
				screen.clear(0)
				Image.blit(0,0,backround)
				mc = {black,black}
				mc[ms] = red
				screen.print(300,200,"Same Screen",0.6,mc[1],green)
				screen.print(300,212,"Adhoc(Not implimented)",0.6,mc[2],green)
				screen.endDraw()

				if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 1 then
					mode = "multi"
					multi = "same"
					dofile("multi.lua")
				end

				if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 2 then
					mode = "multi"
					multi = "ad-hoc"
					dofile("adhoc.lua")
				end

				if pad:triangle() and oldpad:triangle() ~= pad:triangle() then break end

				screen.flipscreen()
				oldpad = pad
			end
		end

		if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 3 then
			oldpad = pad
			while true do
				mms = 2
				pad = Controls.read()

				--If up is pressed move selection up 1
				if pad:up() and oldpad:up() ~= pad:up() then
					ms = ms - 1
				end

				--If down is pressed move selection down 1
				if pad:down() and oldpad:down() ~= pad:down() then
					ms = ms + 1
				end

				--Check to see if selection is to high or to low and refelect aqpon that
				if ms > mms then
					ms = 1
				elseif ms <=0 then
					ms = mms
				end
				
				screen.startDraw()
				screen.clear(0)
				Image.blit(0,0,backround)
				mc = {black,black}
				mc[ms] = red
				screen.print(300,200,"Ball Speed(Single):",0.6,mc[1],green)
				screen.print(300,224,"Ball Speed(Multi):",0.6,mc[2],green) 
				screen.endDraw()

				if pad:cross()and oldpad:cross() ~= pad:cross() and ms == 1 then 
					TspeedS = System.startOSK("Single-Player ball speed.","")
					speedS = tonumber(TspeedS)
				end

				if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 2 then
					TspeedM = System.startOSK("Multi-Player ball speed.","")
					speedM = tonumber(TspeedM)
				end

				screen.startDraw()
				screen.print(300,212,speedS,0.6,black,green)
				screen.print(300,236,speedM,0.6,black,green)
				screen.endDraw()

				if pad:triangle() then break end
				if pad:circle() then break end

				screen.flipscreen()
				oldpad = pad

			end
		end

		if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 4 then
			screen.startDraw()
			screen.clear(0)
			screen.print(10,12,"This game was kindof made with the help of",0.6,red,0)
			screen.print(10,24,"Evilmana and Team Lua. Made by Digikid13...",0.6,red,0)
			screen.print(10,36,"Thank you for playing.",0.6,red,0)
			screen.print(10,48,"[)i9it@!_M@$t3r",0.6,red,0)
			screen.flipscreen()
			screen.endDraw()
			System.sleep(1000)
		end
		
		if pad:cross() and oldpad:cross() ~= pad:cross() and ms == 5 then
			state = "quit"
			System.Quit()
		end

		--End of Loop
		screen.flipscreen()
		oldpad = pad
	elseif state == "quit" then
		break
	end
end

System.Quit()
